# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

kind-dependencies:
    - release-bouncer-check
    - release-update-verify-config

transforms:
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.final_verify:transforms
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.task:transforms

task-defaults:
    run-on-repo-type: [hg]
    name: final-verify
    run-on-projects: []  # to make sure this never runs as part of CI
    worker-type: b-linux
    worker:
        docker-image:
            in-tree: "update-verify"
        max-run-time: 7200


tasks:
    firefox:
        description: final verify
        shipping-phase: push
        shipping-product: firefox
        treeherder:
            platform: firefox-release/opt
            kind: test
            symbol: Rel(FV)
            tier: 1

    devedition:
        description: final verify
        shipping-phase: push
        shipping-product: devedition
        treeherder:
            platform: devedition-release/opt
            kind: test
            symbol: Rel(FV)
            tier: 1
